🧪 List Vehicle Region Segments
Authentication
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
Optional grouping mode. Use segment to collapse repeated visits to the same region for a vehicle within the filtered window, using the min start time and max end time.
If true, each segment will include a vehicle object with basic vehicle information. Segments without a matching vehicle will have vehicle set to null.
Limit results to specific fleets using Catena’s fleet IDs. For your own fleet identifiers, use fleet_refs instead To specify multiple values, repeat the parameter for each value (e.g., ?fleet_ids=id1&fleet_ids=id2).
Limit results to specific fleets using your organization’s fleet reference identifiers. To specify multiple values, repeat the parameter for each value (e.g., ?fleet_refs=ref1&fleet_refs=ref2).
Return only records with a processing date on or after this date. Format: YYYY-MM-DD Applies filter: processing_date >= from_date Default value: yesterday Restriction: to_date - from_date cannot exceed 180 days
Return only records with a processing date on or before this date. Format: YYYY-MM-DD Applies filter: processing_date <= to_date Default value: today Restriction: to_date - from_date cannot exceed 180 days
Limit results to specific vehicles. Maximum: 100 IDs To specify multiple values, repeat the parameter for each value (e.g., ?vehicle_ids=id1&vehicle_ids=id2).
Limit results to a specific country using its ISO 3166-1 alpha-3 code (e.g., USA, CAN).
Limit results to a specific region or state within the country (e.g., TX, ON).